Bug 1576806 - [RHOS-12] Make `cpu_model_extra_flags` case-insensitive
Summary: [RHOS-12] Make `cpu_model_extra_flags` case-insensitive
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: async
: 12.0 (Pike)
Assignee: Kashyap Chamarthy
QA Contact: nova-maint
URL:
Whiteboard:
Depends On: 1576799 1576808 1576809
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 12:22 UTC by Kashyap Chamarthy
Modified: 2019-09-09 16:05 UTC (History)
11 users (show)

Fixed In Version: openstack-nova-16.0.4-15.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1576799
Environment:
Last Closed: 2018-05-22 02:05:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1677 0 None None None 2018-05-22 02:06:35 UTC

Description Kashyap Chamarthy 2018-05-10 12:22:22 UTC
+++ This bug was initially created as a clone of Bug #1576799 +++

Backport the following commit to RHOS-12:

commit facde6cad8bc7ce0fd4d251f86550a7f648a5a13
Author: Kashyap Chamarthy <kchamart@redhat.com>
Date:   Sat Apr 28 18:55:25 2018 +0200

    libvirt: Make `cpu_model_extra_flags` case-insensitive for real
    
    When we introduced `cpu_model_extra_flags` config attribute (in
    commit: 6b601b7 -- "libvirt: Allow to specify granular CPU feature
    flags"), we said it was case-insensitive; but unfortunately I missed to
    _really_ make it so (despite proposing code for it in one of the
    revisions).
    
    Address that mistake by making `cpu_model_extra_flags` case-insensitive
    for real, from Nova's point of view.
    
    NB: Internally, this patch is normalizing 'extra_flags' to _lower_
    casing -- because CPU flags _must_ be lower case from libvirt's point of
    view.  Nova must honour that; otherwise, launching instances with an
    upper case CPU flag, 'FOO', will fail with: "libvirtError: internal
    error: Unknown CPU feature FOO".
    
    Upstream-Queens: https://review.openstack.org/565668
    Related-Bug: #1750829
    Change-Id: Ia7ff0566a5109c76c009f3a0c6199c4ba419cfb1
    Reported-by: Daniel P. Berrangé <berrange@redhat.com>
    Signed-off-by: Kashyap Chamarthy <kchamart@redhat.com>

Comment 8 errata-xmlrpc 2018-05-22 02:05:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1677


Note You need to log in before you can comment on or make changes to this bug.